/* wptImport.h
 *	Copyright (C) 2005, 2006 Timo Schulz
 *
 * This file is part of WinPT.
 *
 * WinPT is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 *  
 * WinPT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 */
#ifndef WPT_IMPORT_H
#define WPT_IMPORT_H 1

/* GPG import status values */
typedef enum {
    GPG_IMPSTAT_NPKEYS    =  0,	/* new public keys */
    GPG_IMPSTAT_NOSELFSIG =  1,	/* no self signatures */
    GPG_IMPSTAT_IPKEYS    =  2,	/* imported public keys */
    GPG_IMPSTAT_NUIDS     =  5,	/* new user ids */
    GPG_IMPSTAT_NSUBKEYS  =  6, /* new sub keys */
    GPG_IMPSTAT_NSIGS     =  7,	/* new signatures */
    GPG_IMPSTAT_NREV      =  8,	/* new revocation certs */
    GPG_IMPSTAT_NSKEYS    =  9, /* new secret keys */
    GPG_IMPSTAT_ISKEYS    = 10  /* imported secret keys */
} gpg_import_status_t;


BOOL CALLBACK import_status_dlg_proc (HWND dlg, 
				      UINT msg, 
				      WPARAM wparam, 
				      LPARAM lparam);

int print_import_status (gpgme_import_result_t res);

#endif /*WPT_IMPORT_H*/
