/* wptVersion.h - WinPT version handling
 *	Copyright (C) 2000-2005, 2008-2009 Timo Schulz
 *
 * This file is part of WinPT.
 *
 * WinPT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * WinPT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
#ifndef WPT_VERSION_H
#define WPT_VERSION_H

/* Application name */
#define PGM_NAME "WinPT"

/* Application version */
#define PGM_VERSION "1.5.0"
#define PGM_DATE "("__DATE__")"

/* Full package version string */
#define PACKAGE_FULL_VERSION "Version: "PGM_VERSION" "PGM_DATE

/* Do not include seldom used W32 api parts. */
#define WIN32_LEAN_AND_MEAN
    
/*-- WinPT.cpp --*/
extern HINSTANCE glob_hinst;	/* Global HINSTANCE for tray window */
extern HWND glob_hwnd;		/* Global HWND for tray window */
extern int debug;		/* Global debug mode */
extern int scard_support;	/* Smartcard support available? */
extern int gpg_read_only;	/* GPG read-only keyring access? */

extern char gpgver[];		/* Contains gpg version (3 bytes) */

/* Privacy Tray Dynamic */
#ifdef __cplusplus
extern "C" {
#endif
BOOL	    PTD_initialize (void);   
void	    PTD_delete_hook (void);
#ifdef __cplusplus
}
#endif

int jpg_show (HWND, POINT*, LPCSTR);

/*-- wptMainProc.cpp --*/
LRESULT CALLBACK winpt_main_proc (HWND hwnd, UINT msg, WPARAM wparam,
				  LPARAM lparam); /* Global main procedure */

#endif /* WPT_VERSION_H */
