/* wptDateDlg.cpp - Universal dialog to ask for a date
 *	Copyright (C) 2001, 2002, 2003, 2006 Timo Schulz
 *
 * This file is part of WinPT.
 *
 * WinPT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * WinPT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. 
 */
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <windows.h>
#include <commctrl.h>

#include "gpgme.h"
#include "resource.h"
#include "wptCommonCtl.h"
#include "wptContext.h"
#include "wptTypes.h"


/* Dialog box procedure to select a date. */
BOOL CALLBACK
date_dlg_proc (HWND dlg, UINT msg, WPARAM wparam, LPARAM lparam)
{
    static date_s *udd;
    
    switch (msg) {
    case WM_INITDIALOG:
        udd = (date_s *)lparam;
	if (!udd)
	    BUG (0);
        if (udd->text)
            SetWindowText (dlg, udd->text);
        SetForegroundWindow (dlg);
        return TRUE;      
        
    case WM_COMMAND:
        switch (LOWORD (wparam)) {
	case IDCANCEL:
	    udd->cancel = 1;
	    EndDialog (dlg, FALSE);
	    return TRUE;

        case IDOK:
            DateTime_GetSystemtime (GetDlgItem (dlg, IDC_DATE_DTP), &udd->st);
            udd->cancel = 0;
            EndDialog (dlg, TRUE);
            return TRUE;
        }
        break;
    }
    
    return FALSE;
}
