/* wptFirstRunDlg.cpp - Welcome dialog
 *	Copyright (C) 2002-2006 Timo Schulz
 *
 * This file is part of WinPT.
 *
 * WinPT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * WinPT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <windows.h>

#include "resource.h"
#include "wptW32API.h"
#include "wptGPG.h"
#include "wptTypes.h"
#include "wptCommonCtl.h"
#include "wptContext.h"


/* Dialog box procedure which is executed on the first time WinPT
   is started. */
BOOL CALLBACK
first_run_dlg_proc (HWND dlg, UINT msg, WPARAM wparam, LPARAM lparam)
{
    int choice = 0;
    switch (msg) {
    case WM_INITDIALOG:
	CheckDlgButton (dlg, IDC_FIRST_KEYGEN, BST_CHECKED);
	SetDlgItemText (dlg, IDC_FIRST_KEYGEN, 
			_("&Generate a GnuPG key pair"));
	SetDlgItemText (dlg, IDC_FIRST_IMPORT, 
			_("&Copy GnuPG keyrings from another location"));
	SetDlgItemText (dlg, IDCANCEL, _("&Cancel"));
	SetWindowText (dlg, _("WinPT First Start"));
	SetForegroundWindow (dlg);
	center_window (dlg, NULL);
	return TRUE;

    case WM_COMMAND:
	switch (LOWORD (wparam)) {
	case IDOK:
	    if (IsDlgButtonChecked (dlg, IDC_FIRST_KEYGEN))
		choice = SETUP_KEYGEN;
	    else if (IsDlgButtonChecked (dlg, IDC_FIRST_IMPORT))
		choice = SETUP_IMPORT;
	    else if (IsDlgButtonChecked (dlg, IDC_FIRST_IMPORTKEY))
		choice = SETUP_EXISTING;
	    else
		choice = 0;
	    EndDialog (dlg, choice);
	    break;

	case IDCANCEL:
	    EndDialog (dlg, 0);
	    break;
	}
	break;
    }

    return FALSE;
}
